> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.formantai.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.formantai.com/_mcp/server.

# Make an outbound call

POST https://api.voice.formantai.com/v1/call
Content-Type: application/json

Initiates one outbound call with a configured FormantAI Voice agent.

Reference: https://docs.formantai.com/api-reference/formant-ai-voice-api/calls/create-call

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: formantai-openapi
  version: 1.0.0
paths:
  /v1/call:
    post:
      operationId: create-call
      summary: Make an outbound call
      description: Initiates one outbound call with a configured FormantAI Voice agent.
      tags:
        - subpackage_calls
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Call accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Calls_createCall_Response_200'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Idempotency key already used
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCallRequest'
servers:
  - url: https://api.voice.formantai.com
    description: Global production
  - url: https://api.in.voice.formantai.com
    description: India production
components:
  schemas:
    CallParameter:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
      required:
        - name
        - value
      title: CallParameter
    RetryContext:
      type: object
      properties:
        collected_data:
          type:
            - object
            - 'null'
          additionalProperties:
            description: Any type
        retry_initial_message:
          type:
            - string
            - 'null'
        retry_language:
          type:
            - string
            - 'null'
        retry_stage_id:
          type:
            - string
            - 'null'
      title: RetryContext
    CreateCallRequest:
      type: object
      properties:
        agent_id:
          type: integer
        conversation_id:
          type:
            - string
            - 'null'
        idempotency_key:
          type:
            - string
            - 'null'
        metadata:
          type:
            - string
            - 'null'
        parameters:
          type: array
          items:
            $ref: '#/components/schemas/CallParameter'
        retry_context:
          $ref: '#/components/schemas/RetryContext'
        scheduled_for:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - agent_id
        - parameters
      title: CreateCallRequest
    CreateCallResponseStatus:
      type: string
      enum:
        - initiated
        - scheduled
      title: CreateCallResponseStatus
    CreateCallResponse:
      type: object
      properties:
        agent_id:
          type: integer
        conversation_id:
          type:
            - string
            - 'null'
        retry_context:
          $ref: '#/components/schemas/RetryContext'
        scheduled_for:
          type:
            - string
            - 'null'
          format: date-time
        status:
          $ref: '#/components/schemas/CreateCallResponseStatus'
        trace_id:
          type: string
      title: CreateCallResponse
    Calls_createCall_Response_200:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CreateCallResponse'
      title: Calls_createCall_Response_200
    ErrorResponseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
      title: ErrorResponseError
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorResponseError'
      title: ErrorResponse
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples

### Scheduled call



**Request**

```json
{
  "agent_id": 456,
  "parameters": [
    {
      "name": "customer_phone",
      "value": "+14155552671"
    }
  ],
  "scheduled_for": "2026-04-08T14:00:00Z"
}
```

**Response**

```json
{
  "data": {
    "agent_id": 456,
    "conversation_id": "a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a7b8e",
    "retry_context": {
      "collected_data": {},
      "retry_initial_message": "We missed you on the last call, would you like to reschedule?",
      "retry_language": "en-US",
      "retry_stage_id": "stage_02"
    },
    "scheduled_for": "2026-04-08T14:00:00Z",
    "status": "scheduled",
    "trace_id": "9f8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
}
```

**SDK Code**

```python Scheduled call
import requests

url = "https://api.voice.formantai.com/v1/call"

payload = {
    "agent_id": 456,
    "parameters": [
        {
            "name": "customer_phone",
            "value": "+14155552671"
        }
    ],
    "scheduled_for": "2026-04-08T14:00:00Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Scheduled call
const url = 'https://api.voice.formantai.com/v1/call';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"agent_id":456,"parameters":[{"name":"customer_phone","value":"+14155552671"}],"scheduled_for":"2026-04-08T14:00:00Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Scheduled call
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voice.formantai.com/v1/call"

	payload := strings.NewReader("{\n  \"agent_id\": 456,\n  \"parameters\": [\n    {\n      \"name\": \"customer_phone\",\n      \"value\": \"+14155552671\"\n    }\n  ],\n  \"scheduled_for\": \"2026-04-08T14:00:00Z\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Scheduled call
require 'uri'
require 'net/http'

url = URI("https://api.voice.formantai.com/v1/call")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"agent_id\": 456,\n  \"parameters\": [\n    {\n      \"name\": \"customer_phone\",\n      \"value\": \"+14155552671\"\n    }\n  ],\n  \"scheduled_for\": \"2026-04-08T14:00:00Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java Scheduled call
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voice.formantai.com/v1/call")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"agent_id\": 456,\n  \"parameters\": [\n    {\n      \"name\": \"customer_phone\",\n      \"value\": \"+14155552671\"\n    }\n  ],\n  \"scheduled_for\": \"2026-04-08T14:00:00Z\"\n}")
  .asString();
```

```php Scheduled call
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voice.formantai.com/v1/call', [
  'body' => '{
  "agent_id": 456,
  "parameters": [
    {
      "name": "customer_phone",
      "value": "+14155552671"
    }
  ],
  "scheduled_for": "2026-04-08T14:00:00Z"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Scheduled call
using RestSharp;

var client = new RestClient("https://api.voice.formantai.com/v1/call");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"agent_id\": 456,\n  \"parameters\": [\n    {\n      \"name\": \"customer_phone\",\n      \"value\": \"+14155552671\"\n    }\n  ],\n  \"scheduled_for\": \"2026-04-08T14:00:00Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Scheduled call
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "agent_id": 456,
  "parameters": [
    [
      "name": "customer_phone",
      "value": "+14155552671"
    ]
  ],
  "scheduled_for": "2026-04-08T14:00:00Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voice.formantai.com/v1/call")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2



**Request**

```json
{
  "agent_id": 456,
  "parameters": [
    {
      "name": "customer_phone",
      "value": "+14155552671"
    }
  ],
  "scheduled_for": "2026-04-08T14:00:00Z"
}
```

**Response**

```json
{
  "data": {
    "agent_id": 456,
    "conversation_id": "a3f47b9e-8c2d-4f1a-9b7e-2d5f3c6a7b8e",
    "retry_context": {
      "collected_data": {},
      "retry_initial_message": "We missed you on the last call, would you like to reschedule?",
      "retry_language": "en-US",
      "retry_stage_id": "stage_02"
    },
    "scheduled_for": "2026-04-08T14:00:00Z",
    "status": "scheduled",
    "trace_id": "9f8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.voice.formantai.com/v1/call"

payload = {
    "agent_id": 456,
    "parameters": [
        {
            "name": "customer_phone",
            "value": "+14155552671"
        }
    ],
    "scheduled_for": "2026-04-08T14:00:00Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.voice.formantai.com/v1/call';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"agent_id":456,"parameters":[{"name":"customer_phone","value":"+14155552671"}],"scheduled_for":"2026-04-08T14:00:00Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voice.formantai.com/v1/call"

	payload := strings.NewReader("{\n  \"agent_id\": 456,\n  \"parameters\": [\n    {\n      \"name\": \"customer_phone\",\n      \"value\": \"+14155552671\"\n    }\n  ],\n  \"scheduled_for\": \"2026-04-08T14:00:00Z\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.voice.formantai.com/v1/call")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"agent_id\": 456,\n  \"parameters\": [\n    {\n      \"name\": \"customer_phone\",\n      \"value\": \"+14155552671\"\n    }\n  ],\n  \"scheduled_for\": \"2026-04-08T14:00:00Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voice.formantai.com/v1/call")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"agent_id\": 456,\n  \"parameters\": [\n    {\n      \"name\": \"customer_phone\",\n      \"value\": \"+14155552671\"\n    }\n  ],\n  \"scheduled_for\": \"2026-04-08T14:00:00Z\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voice.formantai.com/v1/call', [
  'body' => '{
  "agent_id": 456,
  "parameters": [
    {
      "name": "customer_phone",
      "value": "+14155552671"
    }
  ],
  "scheduled_for": "2026-04-08T14:00:00Z"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.voice.formantai.com/v1/call");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"agent_id\": 456,\n  \"parameters\": [\n    {\n      \"name\": \"customer_phone\",\n      \"value\": \"+14155552671\"\n    }\n  ],\n  \"scheduled_for\": \"2026-04-08T14:00:00Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "agent_id": 456,
  "parameters": [
    [
      "name": "customer_phone",
      "value": "+14155552671"
    ]
  ],
  "scheduled_for": "2026-04-08T14:00:00Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voice.formantai.com/v1/call")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```